## muparserx 4.0.7+dfsg

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8.12)
project(muparserx CXX)

########################################################################
# Extract version
########################################################################
set(MUPARSERX_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/parser)
file(READ "${MUPARSERX_SOURCE_DIR}/mpDefines.h" mpDefines_h)
string(REGEX MATCH "\\#define MUP_PARSER_VERSION _T\\(\"([0-9]+\\.[0-9]+\\.[0-9]+) \\(" MUPARSERX_VERSION_MATCHES "${mpDefines_h}")
if(NOT MUPARSERX_VERSION_MATCHES)
    message(FATAL_ERROR "Failed to extract version number from mpDefines.h")
endif(NOT MUPARSERX_VERSION_MATCHES)
set(MUPARSERX_VERSION ${CMAKE_MATCH_1})

########################################################################
# Compiler specific flags
########################################################################
if(CMAKE_COMPILER_IS_GNUCXX)

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wextra")

    #C++11 is a required language feature for this project
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_STD_CXX11)
    if(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    endif()

endif(CMAKE_COMPILER_IS_GNUCXX)

#enable c++11 extensions for OSX
if (APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -Wc++11-extensions")
endif(APPLE)

if(MSVC)
    add_compile_options(/MP) #multi-core build
endif(MSVC)

########################################################################
# Build library
# Defaults to static, set BUILD_SHARED_LIBS=ON for shared
########################################################################
file(GLOB MUPARSERX_SOURCES "${MUPARSERX_SOURCE_DIR}/*.cpp")
include_directories(${MUPARSERX_SOURCE_DIR})
add_library(muparserx ${MUPARSERX_SOURCES})
set_target_properties(muparserx PROPERTIES VERSION ${MUPARSERX_VERSION})
set_property(TARGET muparserx PROPERTY POSITION_INDEPENDENT_CODE TRUE)
set_target_properties(muparserx PROPERTIES SOVERSION ${MUPARSERX_VERSION})
set_target_properties(muparserx PROPERTIES VERSION ${MUPARSERX_VERSION})

#link with lib math when found
find_library(
    M_LIBRARY NAMES m
    PATHS /usr/lib /usr/lib64
)
if(M_LIBRARY)
    target_link_libraries(muparserx ${M_LIBRARY})
endif(M_LIBRARY)

install(TARGETS muparserx
    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so file
    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

########################################################################
# Build pkg config file
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/muparserx.in.pc
    ${CMAKE_CURRENT_BINARY_DIR}/muparserx.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/muparserx.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig
)

########################################################################
# Install project config
########################################################################
configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/muparserxConfigVersion.in.cmake
    ${PROJECT_BINARY_DIR}/muparserxConfigVersion.cmake
@ONLY)
set(cmake_files
    ${PROJECT_SOURCE_DIR}/cmake/muparserxConfig.cmake
    ${PROJECT_BINARY_DIR}/muparserxConfigVersion.cmake)
if (UNIX)
    install(FILES ${cmake_files} DESTINATION share/cmake/muparserx)
elseif (WIN32)
    install(FILES ${cmake_files} DESTINATION cmake)
endif ()

########################################################################
# Install headers
########################################################################
file(GLOB MUPARSERX_HEADERS "${MUPARSERX_SOURCE_DIR}/*.h")
install(
    FILES ${MUPARSERX_HEADERS}
    DESTINATION include/muparserx
)

########################################################################
# Example application
########################################################################
option(BUILD_EXAMPLES "enable building example applications" ON)
if(BUILD_EXAMPLES)
    add_executable(example sample/example.cpp sample/timer.cpp)
    target_link_libraries(example muparserx)
endif(BUILD_EXAMPLES)

########################################################################
# Print summary
########################################################################
message(STATUS "Building muparserx version: ${MUPARSERX_VERSION}")
message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== debian/changelog ===
muparserx (4.0.7+dfsg-3) unstable; urgency=medium

  * Bump Standards-Version to 4.0.1, no changes necessary
  * Adapt to changed conversion operator name mangling in gcc 7
    (Closes: 871305):
    - Add Build-Depends on g++ (>= 4:7)
    - Make dh_makeshlibs depend on 'libmuparserx4.0.7 (>= 4.0.7+dfsg-3~)'

 -- Andreas Bombe <aeb@debian.org>  Wed, 09 Aug 2017 22:10:58 -0400

muparserx (4.0.7+dfsg-2) unstable; urgency=medium

  * Make libmuparserx-dev Multi-Arch: same

 -- Andreas Bombe <aeb@debian.org>  Wed, 25 Jan 2017 01:09:19 +0100

muparserx (4.0.7+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #846651)

 -- Andreas Bombe <aeb@debian.org>  Sun, 04 Dec 2016 02:31:26 +0100

=== debian/control ===
Source: muparserx
Section: libs
Priority: optional
Maintainer: Andreas Bombe <aeb@debian.org>
Standards-Version: 4.0.1
Build-Depends: g++ (>= 4:7), debhelper (>= 10), cmake
Homepage: http://articles.beltoforion.de/article.php?a=muparserx&hl=en
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/muparserx.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/muparserx.git

Package: libmuparserx4.0.7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mathematical expression parser library
 The evaluation of a mathematical expression is a standard task required in
 many applications. It can be solved by either using a standard math expression
 parser such as muparser or by embedding a scripting language such as Lua. There
 are however some limitations: Although muparser is pretty fast it will only
 work with scalar values and although Lua is very flexible it does neither
 support binary operators for arrays nor complex numbers. So if you need a math
 expression parser with support for arrays, matrices and strings muparserx may
 be able to help you. It was originally based on the original muparser engine
 but has since evolved into a standalone project with a completely new parsing
 engine.
 .
 This package contains the shared library.

Package: libmuparserx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmuparserx4.0.7 (= ${binary:Version}), ${misc:Depends}
Description: mathematical expression parser library (development files)
 The evaluation of a mathematical expression is a standard task required in
 many applications. It can be solved by either using a standard math expression
 parser such as muparser or by embedding a scripting language such as Lua. There
 are however some limitations: Although muparser is pretty fast it will only
 work with scalar values and although Lua is very flexible it does neither
 support binary operators for arrays nor complex numbers. So if you need a math
 expression parser with support for arrays, matrices and strings muparserx may
 be able to help you. It was originally based on the original muparser engine
 but has since evolved into a standalone project with a completely new parsing
 engine.
 .
 This package contains the development files for libmuparserx.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$// \
https://github.com/beltoforion/muparserx/releases .*/muparserx/archive/v([\d\.]+)\.tar\.(?:xz|gz|bz2)

## muparserx 4.0.8+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 ########################################################################
 # Compiler specific flags
 ########################################################################
-if(CMAKE_COMPILER_IS_GNUCXX)
+if(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
 
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
@@ -33,7 +33,7 @@
         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
     endif()
 
-endif(CMAKE_COMPILER_IS_GNUCXX)
+endif(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
 
 #enable c++11 extensions for OSX
 if (APPLE)

=== Makefile ===
CC	=	g++ -std=c++11 -O3 -Wall -pedantic
CFLAGS	=	-O3 -Wall -pedantic -ffast-math -fomit-frame-pointer 

#CC      = clang++
#CFLAGS	=	`llvm-config --ldflags` -O3 -Wall -pedantic -std=c++11

# debug version
#CFLAGS  = -Wall -ggdb  
# release version:

PATH_BIN = ./bin

########################################################################################################
# muParser library sources
PATH_LIB = parser
PATH_OBJ = obj
LIB_SRC = mpError.cpp mpRPN.cpp mpICallback.cpp mpIValReader.cpp mpParserBase.cpp mpTokenReader.cpp\
          mpVariable.cpp mpIOprt.cpp mpIValue.cpp mpParser.cpp mpValReader.cpp mpFuncStr.cpp\
	  mpFuncCommon.cpp mpOprtPostfixCommon.cpp mpFuncNonCmplx.cpp mpFuncCmplx.cpp mpIToken.cpp mpOprtCmplx.cpp \
	  mpOprtNonCmplx.cpp mpOprtBinCommon.cpp mpOprtBinAssign.cpp mpOprtMatrix.cpp\
          mpIPackage.cpp mpPackageCommon.cpp mpPackageStr.cpp mpPackageCmplx.cpp mpPackageNonCmplx.cpp\
          mpPackageMatrix.cpp mpPackageUnit.cpp mpIfThenElse.cpp mpValueCache.cpp mpValue.cpp mpTest.cpp\
	  mpScriptTokens.cpp mpFuncMatrix.cpp mpOprtIndex.cpp mpParserMessageProvider.cpp
LIB_OBJ = ${LIB_SRC:.cpp=.o}
NAME_LIB = libmuparserx.a

########################################################################################################
# example application
PATH_SAMPLE = ./sample


all:	example

new:  clean example

$(NAME_LIB): $(LIB_OBJ:%.o=$(PATH_OBJ)/%.o)
	@echo ""
	@echo "#########################################################"
	@echo "#                                                       #"
	@echo "#   Building libmuparserX                               #"
	@echo "#                                                       #"
	@echo "#########################################################"
	@echo ""

	ar ru $(NAME_LIB) $(LIB_OBJ:%.o=$(PATH_OBJ)/%.o)
	ranlib $(NAME_LIB)
	mv $(NAME_LIB) bin/

$(LIB_OBJ:%.o=$(PATH_OBJ)/%.o):
	$(CC) $(CFLAGS) -c $(subst $(PATH_OBJ),$(PATH_LIB),${@:.o=.cpp}) -o $@

example:	$(NAME_LIB)
	@echo ""
	@echo "#########################################################"
	@echo "#                                                       #"
	@echo "#   Building sample                                     #"
	@echo "#                                                       #"
	@echo "#########################################################"
	@echo ""
	$(CC) $(CFLAGS) -I$(PATH_LIB) -L$(PATH_BIN) -o $(PATH_BIN)/$@ $(PATH_SAMPLE)/example.cpp $(PATH_SAMPLE)/timer.cpp -lmuparserx -lm

clean:
	#@clear
	@echo "########################################################"
	@echo "#                                                      #"
	@echo "#  Cleaning up                                         #"
	@echo "#                                                      #"
	@echo "########################################################"
	@echo ""
	rm -rf *.o 
	rm -rf *~
	rm -rf libmuparserx.a
	rm -rf $(PATH_OBJ)/*
	rm -rf $(PATH_BIN)/*

new:	
	$(MAKE) clean
	$(MAKE) all

=== debian/changelog ===
muparserx (4.0.8+dfsg-2) unstable; urgency=medium

  * Upload to sid
  * Update Homepage field in d/control
  * Increase debhelper compat level to 13 and switch to debhelper-compat
    Build-Dependency compat level specification
  * Bump Standards-Version to 4.5.1, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Mon, 11 Jan 2021 01:45:43 +0100

muparserx (4.0.8+dfsg-1) experimental; urgency=medium

  * New upstream version 4.0.8+dfsg
  * d/control: Set Vcs-* to salsa.debian.org
  * Increase debhelper compat level to 12
  * Change library soname ABI version to 4.0.8
  * d/control: Update Homepage field
  * Bump Standards-Version to 4.4.1, no changes necessary
  * Add repacksuffix option to d/watch and use auto pattern for dversionmangle

 -- Andreas Bombe <aeb@debian.org>  Sat, 26 Oct 2019 17:42:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Andreas Bombe <aeb@debian.org>
-Standards-Version: 4.0.1
-Build-Depends: g++ (>= 4:7), debhelper (>= 10), cmake
-Homepage: http://articles.beltoforion.de/article.php?a=muparserx&hl=en
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/muparserx.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/muparserx.git
+Standards-Version: 4.5.1
+Build-Depends: g++ (>= 4:7), debhelper-compat (= 13), cmake
+Homepage: https://beltoforion.de/en/muparserx/
+Vcs-Browser: https://salsa.debian.org/debian/muparserx
+Vcs-Git: https://salsa.debian.org/debian/muparserx.git
 
-Package: libmuparserx4.0.7
+Package: libmuparserx4.0.8
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -30,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmuparserx4.0.7 (= ${binary:Version}), ${misc:Depends}
+Depends: libmuparserx4.0.8 (= ${binary:Version}), ${misc:Depends}
 Description: mathematical expression parser library (development files)
  The evaluation of a mathematical expression is a standard task required in
  many applications. It can be solved by either using a standard math expression

=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+dfsg" \
https://github.com/beltoforion/muparserx/releases .*/muparserx/archive/v([\d\.]+)\.tar\.(?:xz|gz|bz2)

## muparserx 4.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,11 +34,6 @@
     endif()
 
 endif(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
-
-#enable c++11 extensions for OSX
-if (APPLE)
-   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -Wc++11-extensions")
-endif(APPLE)
 
 if(MSVC)
     add_compile_options(/MP) #multi-core build

=== debian/changelog ===
muparserx (4.0.11-2) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Fri, 06 Jan 2023 01:44:39 +0100

muparserx (4.0.11-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Andreas Bombe ]
  * New upstream version 4.0.11
  * Change library soname ABI version to 4.0.11
  * Add Rules-Requires-Root: no to debian/control
  * debian/watch: Change to github tags instead of releases
  * Do not dfsg repack anymore and remove Files-Excluded from debian/copyright
  * Update copyright years in debian/copyright
  * Bump Standards-Version to 4.6.2, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Sat, 31 Dec 2022 19:19:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Andreas Bombe <aeb@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: g++ (>= 4:7), debhelper-compat (= 13), cmake
+Rules-Requires-Root: no
 Homepage: https://beltoforion.de/en/muparserx/
 Vcs-Browser: https://salsa.debian.org/debian/muparserx
 Vcs-Git: https://salsa.debian.org/debian/muparserx.git
 
-Package: libmuparserx4.0.8
+Package: libmuparserx4.0.11
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -30,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmuparserx4.0.8 (= ${binary:Version}), ${misc:Depends}
+Depends: libmuparserx4.0.11 (= ${binary:Version}), ${misc:Depends}
 Description: mathematical expression parser library (development files)
  The evaluation of a mathematical expression is a standard task required in
  many applications. It can be solved by either using a standard math expression

=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+dfsg" \
https://github.com/beltoforion/muparserx/tags .*/muparserx/archive/refs/tags/v([\d\.]+)\.tar\.(?:xz|gz|bz2)

## muparserx 4.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,24 +19,19 @@
 # Compiler specific flags
 ########################################################################
 if(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
+    set(CMAKE_CXX_FLAGS_DEBUG "-D_DEBUG -g3 -gdwarf-3")
+    set(CMAKE_CXX_FLAGS_COVERAGE "-D_DEBUG -g3 -gdwarf-3 --coverage")
 
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wextra")
-
-    #C++11 is a required language feature for this project
-    include(CheckCXXCompilerFlag)
-    CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_STD_CXX11)
-    if(HAS_STD_CXX11)
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-    else(HAS_STD_CXX11)
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
-    endif()
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
 
 endif(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
 
 if(MSVC)
     add_compile_options(/MP) #multi-core build
+    add_compile_options(/std:c++17)
 endif(MSVC)
 
 ########################################################################
@@ -105,16 +100,23 @@
 )
 
 ########################################################################
-# Example application
+# Options
 ########################################################################
+
 option(BUILD_EXAMPLES "enable building example applications" ON)
 if(BUILD_EXAMPLES)
     add_executable(example sample/example.cpp sample/timer.cpp)
     target_link_libraries(example muparserx)
 endif(BUILD_EXAMPLES)
 
+option(USE_WIDE_STRING "use UNICODE characters" OFF)
+if(USE_WIDE_STRING)
+    add_compile_definitions(MUP_USE_WIDE_STRING)
+endif(USE_WIDE_STRING)
+
 ########################################################################
 # Print summary
 ########################################################################
+
 message(STATUS "Building muparserx version: ${MUPARSERX_VERSION}")
 message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.22

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/user/Dokumente/GitHub/muparserx

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/user/Dokumente/GitHub/muparserx

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/user/Dokumente/GitHub/muparserx/CMakeFiles /home/user/Dokumente/GitHub/muparserx//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/user/Dokumente/GitHub/muparserx/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named muparserx

# Build rule for target.
muparserx: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 muparserx
.PHONY : muparserx

# fast build rule for target.
muparserx/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/build
.PHONY : muparserx/fast

#=============================================================================
# Target rules for targets named example

# Build rule for target.
example: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 example
.PHONY : example

# fast build rule for target.
example/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/example.dir/build.make CMakeFiles/example.dir/build
.PHONY : example/fast

parser/mpError.o: parser/mpError.cpp.o
.PHONY : parser/mpError.o

# target to build an object file
parser/mpError.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpError.cpp.o
.PHONY : parser/mpError.cpp.o

parser/mpError.i: parser/mpError.cpp.i
.PHONY : parser/mpError.i

# target to preprocess a source file
parser/mpError.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpError.cpp.i
.PHONY : parser/mpError.cpp.i

parser/mpError.s: parser/mpError.cpp.s
.PHONY : parser/mpError.s

# target to generate assembly for a file
parser/mpError.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpError.cpp.s
.PHONY : parser/mpError.cpp.s

parser/mpFuncCmplx.o: parser/mpFuncCmplx.cpp.o
.PHONY : parser/mpFuncCmplx.o

# target to build an object file
parser/mpFuncCmplx.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncCmplx.cpp.o
.PHONY : parser/mpFuncCmplx.cpp.o

parser/mpFuncCmplx.i: parser/mpFuncCmplx.cpp.i
.PHONY : parser/mpFuncCmplx.i

# target to preprocess a source file
parser/mpFuncCmplx.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncCmplx.cpp.i
.PHONY : parser/mpFuncCmplx.cpp.i

parser/mpFuncCmplx.s: parser/mpFuncCmplx.cpp.s
.PHONY : parser/mpFuncCmplx.s

# target to generate assembly for a file
parser/mpFuncCmplx.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncCmplx.cpp.s
.PHONY : parser/mpFuncCmplx.cpp.s

parser/mpFuncCommon.o: parser/mpFuncCommon.cpp.o
.PHONY : parser/mpFuncCommon.o

# target to build an object file
parser/mpFuncCommon.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncCommon.cpp.o
.PHONY : parser/mpFuncCommon.cpp.o

parser/mpFuncCommon.i: parser/mpFuncCommon.cpp.i
.PHONY : parser/mpFuncCommon.i

# target to preprocess a source file
parser/mpFuncCommon.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncCommon.cpp.i
.PHONY : parser/mpFuncCommon.cpp.i

parser/mpFuncCommon.s: parser/mpFuncCommon.cpp.s
.PHONY : parser/mpFuncCommon.s

# target to generate assembly for a file
parser/mpFuncCommon.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncCommon.cpp.s
.PHONY : parser/mpFuncCommon.cpp.s

parser/mpFuncMatrix.o: parser/mpFuncMatrix.cpp.o
.PHONY : parser/mpFuncMatrix.o

# target to build an object file
parser/mpFuncMatrix.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncMatrix.cpp.o
.PHONY : parser/mpFuncMatrix.cpp.o

parser/mpFuncMatrix.i: parser/mpFuncMatrix.cpp.i
.PHONY : parser/mpFuncMatrix.i

# target to preprocess a source file
parser/mpFuncMatrix.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncMatrix.cpp.i
.PHONY : parser/mpFuncMatrix.cpp.i

parser/mpFuncMatrix.s: parser/mpFuncMatrix.cpp.s
.PHONY : parser/mpFuncMatrix.s

# target to generate assembly for a file
parser/mpFuncMatrix.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncMatrix.cpp.s
.PHONY : parser/mpFuncMatrix.cpp.s

parser/mpFuncNonCmplx.o: parser/mpFuncNonCmplx.cpp.o
.PHONY : parser/mpFuncNonCmplx.o

# target to build an object file
parser/mpFuncNonCmplx.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncNonCmplx.cpp.o
.PHONY : parser/mpFuncNonCmplx.cpp.o

parser/mpFuncNonCmplx.i: parser/mpFuncNonCmplx.cpp.i
.PHONY : parser/mpFuncNonCmplx.i

# target to preprocess a source file
parser/mpFuncNonCmplx.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncNonCmplx.cpp.i
.PHONY : parser/mpFuncNonCmplx.cpp.i

parser/mpFuncNonCmplx.s: parser/mpFuncNonCmplx.cpp.s
.PHONY : parser/mpFuncNonCmplx.s

# target to generate assembly for a file
parser/mpFuncNonCmplx.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncNonCmplx.cpp.s
.PHONY : parser/mpFuncNonCmplx.cpp.s

parser/mpFuncStr.o: parser/mpFuncStr.cpp.o
.PHONY : parser/mpFuncStr.o

# target to build an object file
parser/mpFuncStr.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncStr.cpp.o
.PHONY : parser/mpFuncStr.cpp.o

parser/mpFuncStr.i: parser/mpFuncStr.cpp.i
.PHONY : parser/mpFuncStr.i

# target to preprocess a source file
parser/mpFuncStr.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncStr.cpp.i
.PHONY : parser/mpFuncStr.cpp.i

parser/mpFuncStr.s: parser/mpFuncStr.cpp.s
.PHONY : parser/mpFuncStr.s

# target to generate assembly for a file
parser/mpFuncStr.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpFuncStr.cpp.s
.PHONY : parser/mpFuncStr.cpp.s

parser/mpICallback.o: parser/mpICallback.cpp.o
.PHONY : parser/mpICallback.o

# target to build an object file
parser/mpICallback.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpICallback.cpp.o
.PHONY : parser/mpICallback.cpp.o

parser/mpICallback.i: parser/mpICallback.cpp.i
.PHONY : parser/mpICallback.i

# target to preprocess a source file
parser/mpICallback.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/muparserx.dir/build.make CMakeFiles/muparserx.dir/parser/mpICallback.cpp.i
.PHONY : parser/mpICallback.cpp.i

parser/mpICallback.s: parser/mpICallback.cpp.s
.PHONY : parser/mpICallback.s

# target to generate assembly for a file
parser/mpICallback.cpp.s:

=== debian/changelog ===
muparserx (4.0.12-2) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Mon, 19 Aug 2024 10:25:36 +0200

muparserx (4.0.12-1) experimental; urgency=medium

  * New upstream version 4.0.12 (Closes: 1075298)
  * Change library soname ABI version to 4.0.12
  * Drop versioned Build-Depends for g++, would be fulfilled even in o-o-stable
  * Update years in debian/copyright
  * Bump Standards-Version to 4.7.0, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Sun, 18 Aug 2024 02:48:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Andreas Bombe <aeb@debian.org>
-Standards-Version: 4.6.2
-Build-Depends: g++ (>= 4:7), debhelper-compat (= 13), cmake
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no
 Homepage: https://beltoforion.de/en/muparserx/
 Vcs-Browser: https://salsa.debian.org/debian/muparserx
 Vcs-Git: https://salsa.debian.org/debian/muparserx.git
 
-Package: libmuparserx4.0.11
+Package: libmuparserx4.0.12
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmuparserx4.0.11 (= ${binary:Version}), ${misc:Depends}
+Depends: libmuparserx4.0.12 (= ${binary:Version}), ${misc:Depends}
 Description: mathematical expression parser library (development files)
  The evaluation of a mathematical expression is a standard task required in
  many applications. It can be solved by either using a standard math expression

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# extract the architecture for setting the library path suffix
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


%:
	dh ${@} --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED_LIBS=ON \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
